Subject: bug#66297: guix-daemon not starting after boot

From: Sharlatan Hellseher <[email-masked]>
Date: Tue, 10 Oct 2023 00:53:21 +0100

Hi,

I think I just get used to kick it manually and forgot to replay on
this issue =)

No Herd/Shepherd logs since Sept 30 in messages

 sudo grep -i "shepherd\|herd" /var/log/messages  | tail
grep: /var/log/messages: binary file matches
Sep 30 21:16:03 localhost shepherd[1]: Service console-font-tty3
running with value #t.
Sep 30 21:16:03 localhost shepherd[1]: Service console-font-tty4 started.
Sep 30 21:16:03 localhost vmunix: [    2.427621] shepherd[1]:
Sep 30 21:16:03 localhost vmunix: [    2.428262] shepherd[1]:
Sep 30 21:16:03 localhost vmunix: [    2.429207] shepherd[1]: Service
sysctl has been started.
Sep 30 21:16:03 localhost vmunix: [    2.429434] shepherd[1]: Service
sysctl started.
Sep 30 21:16:03 localhost vmunix: [    2.429666] shepherd[1]: Service
sysctl running with value #t.
Sep 30 21:16:03 localhost vmunix: [    2.430082] shepherd[1]: Starting
service virtual-terminal...
Sep 30 21:16:03 localhost vmunix: [    2.430416] shepherd[1]: Service
virtual-terminal started.
Sep 30 21:16:03 localhost vmunix: [    2.430649] shepherd[1]: Service
virtual-terminal running with value #t.

There this no track of guix-daemon was starting in herd log

herd log | grep daemon
10 Oct 2023 00:03:30    service upower-daemon is being started
10 Oct 2023 00:03:30    service upower-daemon is running
10 Oct 2023 00:03:30    service ssh-daemon is being started
10 Oct 2023 00:03:30    service ssh-daemon is running

Thanks,
Oleg

On Thu, 5 Oct 2023 at 14:39, Ludovic Courtès <[email-masked]> wrote:
>
> Hi,
>
> Sharlatan Hellseher <[email-masked]> skribis:
>
> > After the recent pull and system reconfigure I've started experiencing
> > guix-daemon not starting up after the system boot.
>
> Anything in /var/log/messages?
>
> What does ‘herd log’ say?
>
> Thanks,
> Ludo’.

-- 

… наш разум - превосходная объяснительная машина которая способна
найти смысл почти в чем угодно, истолковать любой феномен, но
совершенно не в состоянии принять мысль о непредсказуемости.